Update Zone SOA
curl -X POST "https://api.5centscdn.com/v2/dns/example_string/soa" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY" \
-d '{
"primaryNS": "ns1.example-dns.com",
"adminMail": "admin@example.com",
"refresh": "3600",
"retry": "1800",
"expire": "1209600",
"defaultTTL": "3600"
}'
import requests
import json
url = "https://api.5centscdn.com/v2/dns/example_string/soa"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
data = {
"primaryNS": "ns1.example-dns.com",
"adminMail": "admin@example.com",
"refresh": "3600",
"retry": "1800",
"expire": "1209600",
"defaultTTL": "3600"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/dns/example_string/soa", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
},
body: JSON.stringify({
"primaryNS": "ns1.example-dns.com",
"adminMail": "admin@example.com",
"refresh": "3600",
"retry": "1800",
"expire": "1209600",
"defaultTTL": "3600"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"primaryNS": "ns1.example-dns.com",
"adminMail": "admin@example.com",
"refresh": "3600",
"retry": "1800",
"expire": "1209600",
"defaultTTL": "3600"
}`)
req, err := http.NewRequest("POST", "https://api.5centscdn.com/v2/dns/example_string/soa", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/dns/example_string/soa')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
request.body = '{
"primaryNS": "ns1.example-dns.com",
"adminMail": "admin@example.com",
"refresh": "3600",
"retry": "1800",
"expire": "1209600",
"defaultTTL": "3600"
}'
response = http.request(request)
puts response.body
{
"status": "Success",
"statusDescription": "The SOA record was modified successfully."
}
/dns/{dnsId}/soaTarget server for requests. Edit to use your own host.
API key (sent in header)
The media type of the request body
Primary nameserver for the zone.
Administrator email address for the zone.
How often secondary servers check for updates, in seconds.
How long secondary servers wait before retrying a failed refresh, in seconds.
How long secondary servers keep zone data if they cannot reach the primary, in seconds.
Default TTL applied to records without an explicit TTL, in seconds.
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Path Parameters
Body
How long secondary servers wait before retrying a failed refresh, in seconds.
1800How long secondary servers keep zone data if they cannot reach the primary, in seconds.
1209600Responses
Operation outcome.
Human-readable description of the operation outcome.